QGIS Application - Bug report #16772
check validity algorithm with GEOS method does not detect ring self-intersection
2017-06-30 03:16 PM - Alain FERRATON

Status: Rejected

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 24671
Description

see sample...

sql request in DbManager (virtual layer) : select st_isvalidreason(geometry), st_isvalidDetail(geometry) as new_geom, * from
sample_ringselfintersection

return : Ring Self-intersection[196397.283 6776906.7204]

but

check validity algorithm with GEOS method return a valid output.

History

#1 - 2017-06-30 03:22 PM - Regis Haubourg
- Assignee deleted (Victor Olaya)

#2 - 2017-06-30 03:34 PM - Regis Haubourg

You mean the check validity being done while editing ? if so, | confirm that.

#3 - 2017-06-30 03:57 PM - Alain FERRATON

not only.

It's the same if you use the processing algorithm.

#4 - 2017-06-30 10:40 PM - Nyall Dawson
- Resolution set to up/downstream
- Status changed from Open to Rejected

This is an upstream issue - it would need to be fixed in the GEOS library.

#5 - 2017-07-01 11:01 AM - Regis Haubourg

Nyall, what | don't get is that GEOS is correctly detecting the error when used via sqlite in virtual layers, but not when QGIS uses GEOS for validity check

when editing. Are there different ways to call the GEOSisValid() or precision issues ?

Files

sample.zip 2.61 KB 2017-06-30 Alain FERRATON
